#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"
using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count{};
};

Input
input_data(){

    size_t number_count;
    cerr << "Enter number_count: ";
    cin >> number_count;

    Input in;
    in.numbers.resize(number_count);
    cerr << "Enter numbers: ";
    for (size_t i = 0; i < number_count; i++){
        cin >> in.numbers[i];
    }

    cerr << "Enter bin count: ";
    cin >> in.bin_count;

    return in;
}
/*
void
show_histogram_text(const vector<size_t>& bins){
    size_t i;
    size_t height = 0;
    size_t max_count = 0;
    for (size_t x: bins) {
        if (x > max_count) {
            max_count = x;
        }
    }
    if (max_count > MAX_ASTERISK) {
        for(size_t bin:bins){
            size_t height = bin;
            height = MAX_ASTERISK * (static_cast<double>(bin) / max_count);
            for(size_t i = 0; i < height; i++){
                cout<<"*";
            }
            cout<<"|";
            if(bin<100) cout<<" ";
            if(bin<10) cout<<" ";
            cout<<bin<<endl;
        }
    } else {
        for(size_t bin:bins){
            size_t height = bin;
            for(size_t i = 0; i < height; i++){
                cout<<"*";
            }
            cout<<"|";
            if(bin<100) cout<<" ";
            if(bin<10) cout<<" ";
            cout<<bin<<endl;
        }
    }
}*/

int
main()
{
    auto in = input_data();
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_text(bins);
    return 0;
}

